> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Test Gnosis Safe Connection

> Verifies a Safe exists and has the proposer delegate, then upserts the Safe account, custody link, audit and webhook filter.

Not available to API keys yet. It will need `integrations:write`.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/test-gnosis-safe-connection
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/test-gnosis-safe-connection:
    post:
      operationId: testGnosisSafeConnection
      summary: Test Gnosis Safe Connection
      description: >-
        Verifies a Safe exists and has the proposer delegate, then upserts the
        Safe account, custody link, audit and webhook filter.


        Not available to API keys yet. It will need `integrations:write`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TestGnosisSafeConnectionRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TestGnosisSafeConnectionResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    TestGnosisSafeConnectionRequest:
      type: object
      properties:
        safeAddress:
          type: string
          minLength: 1
        chainId:
          type: string
          minLength: 1
        draftFundingTokenTypeIDs:
          type: array
          items:
            type: string
            format: uuid
        orgID:
          type: string
          format: uuid
        name:
          type: string
          minLength: 1
          maxLength: 120
        replacesGnosisSafeAccountID:
          type: string
          format: uuid
        signerIdentityID:
          type: string
          format: uuid
        importedSignerPrivateKey:
          type: string
          pattern: ^(0x)?[0-9a-fA-F]{64}$
          description: >-
            NOTE(ck): a .refine() rule is not mirrored here; TGA still enforces
            it
      required:
        - safeAddress
        - chainId
    TestGnosisSafeConnectionResponse:
      type: object
      properties:
        success:
          type: boolean
        account:
          type: object
          properties:
            gnosisSafeAccountID:
              type: string
            safeAddress:
              type: string
            chainId:
              type: number
            networkName:
              type:
                - string
                - 'null'
            verifiedAt:
              type:
                - string
                - 'null'
            safeAppUrl:
              type:
                - string
                - 'null'
            name:
              type:
                - string
                - 'null'
            isDefault:
              type: boolean
            signerIdentityID:
              type:
                - string
                - 'null'
          required:
            - gnosisSafeAccountID
            - safeAddress
            - chainId
            - networkName
            - verifiedAt
            - safeAppUrl
            - name
            - isDefault
            - signerIdentityID
        safeAddress:
          type: string
        chainId:
          type: string
        verifiedAt:
          type: string
        webhookSyncError:
          type: string
      required:
        - success
        - account
        - safeAddress
        - chainId
        - verifiedAt
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
